Name:           shyaml
Version:        0.5.0
Release:        3%{?dist}
Summary:        YAML for command line

License:        BSD
URL:            https://github.com/0k/shyaml
Source0:        https://github.com/0k/shyaml/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
# Avoids the need to run autogen.sh during setup (which requires the complete
# git repository). Recreate by running './autogen.sh' in a local git checkout
Patch0:         %{name}.autogen.patch
# Remove CHANGELOG from the files to install, as it does not exist.
Patch1:         %{name}.filelist.patch

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  %{py3_dist d2to1}
BuildRequires:  %{py3_dist pyyaml}

%description
Simple scripts that allow read access to YAML files through command line.  This
can be handy, if you want to get access to YAML data in your shell scripts.
This scripts supports only read access and it might not support all the
subtleties of YAML specification. But it should support some handy basic query
of YAML file.


%prep
%autosetup -p1 -n %{name}-%{version}


%build
%py3_build


%install
%py3_install


%check
%{__python3} setup.py test


%files
%license LICENSE
%doc README.rst
%{python3_sitelib}/*
%{_bindir}/shyaml


%changelog
* Tue Jan 02 2018 Till Hofmann <thofmann@fedoraproject.org> - 0.5.0-3
- Remove unnecessary shebang replacement (done by the installer)

* Fri Dec 29 2017 Till Hofmann <thofmann@fedoraproject.org> - 0.5.0-2
- Remove CHANGELOG from the installed files (CHANGELOG does not exist)

* Thu Apr 27 2017 Till Hofmann <thofmann@fedoraproject.org> - 0.5.0-1
- Initial package
